Bug 235713 - [exp-run] textproc/py-libxml2 and textproc/libxml2: Update to 2.9.9
Summary: [exp-run] textproc/py-libxml2 and textproc/libxml2: Update to 2.9.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on: 238522
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-13 12:25 UTC by kunda
Modified: 2019-06-13 13:05 UTC (History)
2 users (show)

See Also:
kwm: maintainer-feedback+


Attachments
patch to update libxml2 to 2.9.9 (872 bytes, patch)
2019-06-03 16:10 UTC, Steve Wills
no flags Details | Diff
updated patch to update libxml2 to 2.9.9 (1.20 KB, patch)
2019-06-03 16:14 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Steve Wills freebsd_committer 2019-06-03 16:10:58 UTC
Created attachment 204810 [details]
patch to update libxml2 to 2.9.9
Comment 2 Steve Wills freebsd_committer 2019-06-03 16:14:34 UTC
Created attachment 204811 [details]
updated patch to update libxml2 to 2.9.9

Forgot to remove PORTREVISION from py-libxml2.
Comment 3 Koop Mast freebsd_committer 2019-06-03 18:32:46 UTC
Looks good, be sure to run this update by the docs@ team. Since updates of libxml2 have broken the doc build in (non fatal) interesting ways before :)
Comment 6 commit-hook freebsd_committer 2019-06-13 12:59:55 UTC
A commit references this bug:

Author: swills
Date: Thu Jun 13 12:59:40 UTC 2019
New revision: 504090
URL: https://svnweb.freebsd.org/changeset/ports/504090

Log:
  textproc/libxml2: Update to 2.9.9 [1]

  While here, fix a bug in libxslt triggered by the libxml2 update

  PR:		235713 [1]
  PR:		238522
  Exp-run by:	antoine
  Reported by:	kunda <chitty_cloud@me.com> [1]
  Reviewed by:	kwm [1] [2]
  Obtained from:	https://gitlab.gnome.org/GNOME/libxslt/commit/5b0965010abf274f7a3a1291d16dde34c167e8a7

Changes:
  head/textproc/libxml2/Makefile
  head/textproc/libxml2/distinfo
  head/textproc/libxslt/Makefile
  head/textproc/libxslt/files/patch-libxslt-keys.c
  head/textproc/py-libxml2/Makefile
Comment 7 Steve Wills freebsd_committer 2019-06-13 13:05:31 UTC
Update committed